Name:           jaxb-istack-commons
Version:        4.2.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        iStack Common Utility Code
License:        BSD-3-Clause
URL:            https://github.com/eclipse-ee4j/jaxb-istack-commons
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.ant:ant-junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)

%description
Code shared between JAXP, JAXB, SAAJ, and JAX-WS projects.

%package runtime
Summary:        istack-commons runtime

%description runtime
This package contains istack-commons runtime.

%package test
Summary:        istack-commons test

%description test
This package contains istack-commons test.

%package tools
Summary:        istack-commons tools

%description tools
This package contains istack-commons tools.

%prep
%setup -q

pushd istack-commons

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin . test tools
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :spotbugs-maven-plugin

# Missing dependency on args4j
%pom_disable_module soimp

%pom_disable_module buildtools
%pom_disable_module import-properties-plugin
%pom_disable_module maven-plugin

%mvn_package :istack-commons __noinstall
popd

%build
pushd istack-commons
# Javadoc fails on module.info files: "error: too many module declarations found"
%mvn_build -f -s -j
popd

%install
pushd istack-commons
%mvn_install
popd

%files runtime -f istack-commons/.mfiles-istack-commons-runtime
%license LICENSE.md NOTICE.md
%files test -f istack-commons/.mfiles-istack-commons-test
%license LICENSE.md NOTICE.md
%files tools -f istack-commons/.mfiles-istack-commons-tools
%license LICENSE.md NOTICE.md




%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 4.2.0-2.mga10
+ Revision: 1986486
- Update to upstream version 4.2.0

* Sun Sep 11 2022 neoclust <neoclust> 3.0.12-1.mga9
+ Revision: 1886955
- New version  3.0.12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 3.0.11-1.mga8
+ Revision: 1621688
- Update to 3.0.11
- package renamed to jaxb-istack-commons

* Wed Feb 12 2020 umeabot <umeabot> 2.21-8.mga8
+ Revision: 1491319
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.21-7.mga7
+ Revision: 1263157
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2.21-6.mga6
+ Revision: 982646
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.21-5.mga6
+ Revision: 976408
- First rebuild of the java stack
- sync package istack-commons with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 2.17-5.mga5
+ Revision: 809240
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.17-4.mga5
+ Revision: 744489
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.17-2.mga4
+ Revision: 537962
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 2.17-1.mga4
+ Revision: 488144
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.6.1-6.mga3
+ Revision: 354585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.6.1-5.mga3
+ Revision: 291009
- imported package istack-commons

